Aria: ArMapObjects Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapObjects Class Reference

`#include <ArMapComponents.h>`

Inheritance diagram for ArMapObjects:

List of all members.

## Detailed Description

The collection of map objects that are contained in an Aria map.

ArMapObjects contains a list of objects defined in an Aria map. There are two basic classes of objects: user-defined objects such as goals and forbidden areas; and, special data objects that are usually automatically generated during the scanning process.

## Public Member Functions
virtual bool | addToFileParser (ArFileParser *fileParser)
| Adds the keyword and handler for the map objects to the given file parser.
| ArMapObjects (const ArMapObjects &other)
| Copy constructor.
| ArMapObjects (const char *keyword="Cairn:")
| Constructor.
virtual void | clear ()
| Clears the map objects and deletes them.
virtual ArMapObject * | findFirstMapObject (const char *name, const char *type, bool isIncludeWithHeading=false)
virtual ArMapObject * | findMapObject (const char *name, const char *type=NULL, bool isIncludeWithHeading=false)
virtual std::list< ArMapObject * > | findMapObjectsOfType (const char *type, bool isIncludeWithHeading=false)
virtual std::list< ArMapObject * > * | getMapObjects (void)
virtual ArTime | getTimeChanged () const
| Returns the time at which the map objects were last changed.
ArMapObjects & | operator= (const ArMapObjects &other)
| Assignment operator.
virtual bool | remFromFileParser (ArFileParser *fileParser)
| Removes the keyword and handler for the map objects from the given file parser.
virtual void | setMapObjects (const std::list< ArMapObject * > *mapObjects, bool isSortedObjects=false, ArMapChangeDetails *changeDetails=NULL)
void | writeObjectListToFunctor (ArFunctor1< const char * > *functor, const char *endOfLineChars)
virtual | ~ArMapObjects ()
| Destructor.
## Protected Member Functions
void | createMultiSet (ArMapFileLineSet *multiSet)
| Writes the map objects to the given ArMapFileLineSet.
bool | handleMapObject (ArArgumentBuilder *arg)
void | logMultiSet (const char *prefix, ArMapFileLineSet *multiSet)
| Writes the given ArMapFileLineSet to the output log with the specified prefix.
void | sortMapObjects (std::list< ArMapObject * > *mapObjects)
| Sorts the given list of map objects in order of increasing object pose.
## Protected Attributes
bool | myIsSortedObjects
| Whether the myMapObjects list has been sorted in increasing (pose) order.
std::string | myKeyword
| Keyword that prefixes each map object in the map file.
ArRetFunctor1C< bool, ArMapObjects, ArArgumentBuilder * > | myMapObjectCB
| Callback to parse the map object from the map file.
std::list< ArMapObject * > | myMapObjects
| List of map objects contained in the Aria map.
ArTime | myTimeChanged
| Time at which the map objects were last changed.

## Constructor & Destructor Documentation

ArMapObjects::ArMapObjects | ( | const char * | keyword = `"Cairn:"` | ) |

Constructor.

Parameters:

  | keyword | the char * keyword that prefixes each map object line in the map file

The documentation for this class was generated from the following file:

- ArMapComponents.h